package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.ProblemFeedback;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-10-12 10:55
 */
@Repository
public interface ProblemFeedbackDAO {

    int insert(ProblemFeedback entity);
    int update(ProblemFeedback entity);
    int exist(String id);
    ProblemFeedback get(String id);
    int delete(String id);
    List<ProblemFeedback> list();
    List<ProblemFeedback> search(Map<String, Object> searchParams, List<Sort> sortList);
}
